{
  pkgs,
  ...
}:
{
  xdg.autostart.enable = true;
  xdg.portal.enable = true;

  hm.xdg = {
    enable = true;
    portal =
      let
        gtk = pkgs.xdg-desktop-portal-gtk;
        gnome = pkgs.xdg-desktop-portal-gnome;
      in
      {
        enable = true;
        config = {
          common = {
            default = [
              "gnome"
            ];
          };
        };
        extraPortals = [
          gnome
          gtk
        ];
      };
  };

  environment.pathsToLink = [
    "/share/xdg-desktop-portal"
    "/share/applications"
  ];

  security.polkit.enable = true;
}
